DemoWorks Overview

DemoWorks is the essential tool for creating animated demos for use in:

  • Online Help
  • Tutorials
  • Training Materials
  • Web Content

With DemoWorks, you can capture the use of any application or desktop activity. When recording is complete, DemoWorks can instantly create demos in Flash, AnimatedGIF, Executable (EXE), WMV, Java, and AVI formats — including all visible movements of the mouse. Text, captions, highlighting, and images can easily be added to enhance your demo.

DemoWorks enables anybody to create high-impact animated demos in minutes. Here are just a few of the ways these demos can be used:

Help Developers:

  • Augment written instructions in online help, tutorials, or knowledge base with easy-to-follow demonstrations that visually answer the question at hand.
  • Create tutorials that help users quickly get started with your application.

Sales and Marketing

  • Convey the value of your company’s products and services on your Web site using DemoWorks’ powerful animated demonstrations.

Technical Support

  • Save time by emailing or publishing DemoWorks animations to answer FAQ’s.

Training

  • Train new customers with demonstrations that truly “show-and-tell.”

Quality Assurance

  • Stop trying to describe bugs. Accurately and instantly capture bug behavior and email the animated demo to colleagues for fast resolution.

Software Developers

  • Express your vision and share software ideas with quick mock-up demos.

Other uses:

  • Demonstrate difficult to explain IT issues by retracing your actions and capturing the precise steps with an animation that clearly shows the steps leading to the problem. Send the demo to IT via email for guaranteed results.
  • Quickly create demos to answer those “how do I” questions about Microsoft® Word, Excel, and other common applications. Email the compact DemoWorks animation to the entire office.
  • Email your friends with detailed visual explanations showing computer use tips and secrets.
  • Add interest to your personal Web site with dynamic content.

DemoWorks includes powerful features to produce animated demos that save time and have a huge learning impact by creating effective visual information. File sizes are small enough to include in Help files, publish on the Web, or email. So stop explaining and start demonstrating with DemoWorks!

Related Topics


Installing DemoWorks

To install DemoWorks

  1. Insert the DemoWorks CD. If autorun is set up on your system, skip the next step.
  2. Select and run the Setup file from your CD drive.
  3. Follow the on screen instructions to complete.

    To activate the software, use the product serial number included on the product packaging and/or in your purchase confirmation materials. If the product is not activated, it can be run indefinitely as DemoWorks Community Edition, which has restrictions. See DemoWorks Community Edition Information for details.


System Requirements

Computer/Processor | PC with Intel Pentium Processor, AMD, or equivalent
Memory | 256 MB available RAM
Hard Disk Space | 15 MB available disk space
Monitor | 16-bit color monitor capable of 800 x 600 resolution
Operating System | Microsoft Windows 98, 2000, 2000 server, 2003 server, XP, or Vista


End-User License Agreement

Introduction > End-User License Agreement

End-User License Agreement for ComponentOne DemoWorks

IMPORTANT-READ CAREFULLY: This End-User License Agreement (this "EULA") contains the terms and conditions that govern your use of the SOFTWARE (as defined below) and imposes material limitations to your rights. You should read this EULA carefully and treat it as valuable property.

I. THIS EULA.

  1. Software Covered by this EULA. This EULA governs your use of the ComponentOne, LLC ("C1") software product(s) enclosed or otherwise accompanied herewith (individually and collectively, the "SOFTWARE"). The term "SOFTWARE" includes, to the extent provided by C1: 1) any revisions, updates and/or upgrades thereto; 2) any data, image or executable files, databases, data engines, computer software, or similar items customarily used or distributed with computer software products; 3) anything in any form whatsoever intended to be used with or in conjunction with the SOFTWARE; and 4) any associated media, documentation (including physical, electronic and online) and printed materials (the "Documentation").

  2. This EULA is a Legally Binding Agreement Between You and C1. If you are acting as an agent of a company or another legal person, such as an officer or other employee acting for your employer, then "you" and "your" mean your principal, the entity or other legal person for whom you are acting. However, importantly, even if you are acting as an agent for another, you may still be personally liable for violation of federal and State laws, such as copyright infringement.

    By signifying your acceptance of the terms of this EULA, you intend to be, and hereby are, legally bound to this EULA to the same extent as if C1 and you physically signed this EULA. By installing, copying, or otherwise using the SOFTWARE, you agree to be bound by all the terms and conditions of this EULA. If you do not agree to all of such terms and conditions, you may not install or use the SOFTWARE. If you do not agree with any of the terms herewith and, for whatever reason, installation has begun or has been completed, you should cancel installation or un-install the SOFTWARE, as the case may be. Furthermore, you should promptly return the SOFTWARE to the place of business from which you obtained it in accordance with any return policies of such place of business. Return policies may vary among resellers; therefore you must comply with the return policies of your supplier as you agreed at the point of purchase. If the place of business from which you purchased the SOFTWARE does not honor a full refund for a period of thirty (30) days from the date of purchase, you may then return the SOFTWARE directly to C1 for a refund provided that such returns is authorized within the same thirty (30) days time period. To return the product directly to C1, you must first obtain a Return Authorization Number by contacting C1, and you must forward to C1 all items purchased, including the proof of purchase. The return must be postage-prepaid, and post-marked within thirty (30) days from the proof of purchase, time being of the essence. The return option to C1 is only available to the original purchaser of an unopened factory packaged item.

II. YOUR LICENSE TO USE AND TO DISTRIBUTE.

As provided in more detail below, this EULA grants you two licenses: 1) a license to use the SOFTWARE (the “User License”) to capture screen activity or to create movie files in different file formats (the "Output "); and 2) a license to distribute the Output and to incorporate in such Output those files identified in the Documentation as Redistributable Files.(the "Distribution License"). These licenses (individually and collectively, the "Licenses") are explained and defined in more detail below. Except for those specific Redistributable Files, you MAY NOT distribute the SOFTWARE, in any format, to others.

  1. Definitions. The following terms have the respective meanings as used in this EULA:

    "Network Server" means a computer with one or more computer central processing units (CPU's) that operates for the purpose of serving other computers logically or physically connected to it, including, but not limited to, other computers connected to it on an internal network, intranet or the Internet.

    " Web Server" means a type of Network Server that serves other computers which, are specifically connected to it through either an intranet or the Internet.

    "Redistributable Files" means the SOFTWARE files or other portions of the SOFTWARE that are provided by C1 and are identified as such in the Documentation for distribution by you with the Output.

    "User" means a human being or any other automated device using the SOFTWARE in accordance with the terms and conditions of this EULA.

    "User Seat License" means that each User using or otherwise accessing the SOFTWARE must obtain the right to do so by purchasing a separate End User License.

  2. Your User License.

    License to Use the Software. You are hereby granted a limited, royalty-free, non-exclusive right to use the SOFTWARE to capture screen activity or to create movie files in different formats, on the express condition that, and only for so long as, you fully comply with all terms and conditions of this EULA.

    The SOFTWARE is licensed to you on a User Seat License basis.

    User Seat License basis means that you may perform an installation of the SOFTWARE for use in creating Output by a single User on one or more computers, each with a single set of input devices, so long as 1) such computer/computers is/are used only by one single User at any given time and not concurrently and, 2) the user is the primary User to whom the license has been granted. Conversely, you may not install or use the SOFTWARE on a computer that is a network server or a computer at which the SOFTWARE is used by more than one User. You may not network the SOFTWARE or any component part of it, where it is or may be used by more than one User unless you purchase an additional User License for each User. You must purchase another separate license to the SOFTWARE in order to add additional User seats, whether the additional Users are accessing the SOFTWARE in a stand-alone environment or on a computer network.

    The license rights granted under this Agreement may be limited to a specified number of days after you first install the SOFTWARE unless you supply information required to license or activate your licensed copy, as the case may be, within the time and the manner described during the SOFTWARE setup sequence and/or in the dialog boxes appearing during use of the SOFTWARE. You may need to activate the SOFTWARE through the use of the Internet, email or telephone; toll charges may apply. You may need to re-activate the SOFTWARE if you modify your computer hardware or if you have installed it on a different computer; in some cases the number of activations allowed may be limited and you will have to contact C1 for clearance. Product activation is based on the exchange of information between your computer and C1. None of this information contains personally identifiable information nor can they be used to identify any personal information about you or any information you store in your computer. YOU ACKNOWLEDGE AND UNDERSTAND THAT THERE ARE TECHNOLOGICAL MEASURES IN THE SOFTWARE THAT ARE DESIGNED TO PREVENT UNLICENSED OR ILLEGAL USE OF THE SOFTWARE. YOU AGREE THAT C1 MAY USE SUCH MEASURES AND YOU AGREE TO FOLLOW ANY REQUIREMENTS REGARDING SUCH TECHNOLOGICAL MEASURES. YOU ACKNOWLEDGE AND AGREE THAT THE SOFTWARE WILL CEASE TO FUNCTION UNLESS AND UNTIL YOU ACTIVATE THE APPLICABLE SOFTWARE SERIAL NUMBER.

    You agree that C1 may audit your use of the SOFTWARE for compliance with these terms at any time, upon reasonable notice. In the event that such audit reveals any use of the SOFTWARE other than in full compliance with the terms of this EULA, you shall reimburse C1 for all reasonable expenses related to such audit in addition to any other liabilities you may incur as a result of such non-compliance.

    In all cases, (a) you may not use C1's name, logo, or trademarks to market your Output without the express written consent of C1 except in the default themes legend that may appear on the Output which includes the C1 logo and a line of text reading “Powered by ComponentOne DemoWorks”; (b) you agree to indemnify, hold harmless, and defend C1, its suppliers and resellers, from and against any claims or lawsuits, including attorney's fees that may arise from the use or distribution of your Output.

  3. Your Distribution License.

    License to Distribute Output. Subject to the terms and conditions in this EULA, you are granted the license to use and to distribute Output on a royalty-free basis, provided that if the Output is distributed in electronic format and incorporate portions of the SOFTWARE they do so as an integral part of the Output (customarily a ".swf", “.avi”, “.gif”, “.exe”, “.jsp”, "wmv" file, etc.). You may distribute, on a royalty-free basis, Redistributable Files with Output only.

  4. Updates/Upgrades. Subject to the terms and conditions of this EULA, the Licenses are perpetual. Updates and upgrades to the SOFTWARE may be provided by C1 from time-to-time, and, if so provided by C1, are provided upon the terms and conditions offered at that time by C1 in its sole discretion. C1 may provide updates and/or upgrades to the SOFTWARE for free or for any charge, at any time or never, and through its chosen manner of access and distribution, all in C1's sole discretion.

    The SOFTWARE is revised from time-to-time (meaning, for example, revised with updates and/or upgrades).

  5. Serial Number. With your license, you will be issued a unique serial number (the "Serial Number") used for the activation of the SOFTWARE. The Serial Number is subject to the restrictions set forth in this EULA and may not be disclosed or distributed either with your Output or in any other way. The disclosure or distribution of the Serial Number constitutes a breach of this EULA, the effect of which shall be the immediate termination and revocation of all the rights granted herein.

III. INTELLECTUAL PROPERTY.

  1. Copyright. You agree that all right, title, and interest in and to the SOFTWARE (including, but not limited to, any images, photographs, animations, video, audio, music, text, and “applets” incorporated into the SOFTWARE), and any copies of the SOFTWARE, and any copyrights and other intellectual properties therein or related thereto are owned exclusively by C1, except to the limited extent that C1 may be the rightful license holder of certain third-party technologies incorporated into the SOFTWARE. The SOFTWARE is protected by copyright laws and international treaty provisions. The SOFTWARE is licensed to you, not sold to you. C1 reserves all rights not otherwise expressly and specifically granted to you in this EULA.

  2. Backups. You may make a copy of the SOFTWARE solely for backup or archival purposes. Notwithstanding the foregoing, you may not copy the printed Documentation.

  3. General Limitations. You may not reverse engineer, decompile, or disassemble the SOFTWARE, except and only to the extent that applicable law expressly permits such activity notwithstanding this limitation.

  4. Software Transfers. You may not rent or lease the SOFTWARE. You may permanently transfer all of your rights under the EULA, provided that you retain no copies, that you transfer all the SOFTWARE (including all component parts, the media and printed materials, any updates, upgrades, this EULA and, if applicable, the Certificate of Authenticity), and that the transferee agrees to be bound by the terms of this EULA. If the SOFTWARE is an update or upgrade, any transfer must include all prior versions of the SOFTWARE.

  5. Termination. Without prejudice to any other rights it may have, C1 may terminate this EULA and the Licenses if you fail to comply with the terms and conditions contained herein. In such an event, you must destroy all copies of the SOFTWARE and all of its component parts.

  6. Export Restrictions. You acknowledge that the SOFTWARE is of U.S. origin. You acknowledge that the license and distribution of the SOFTWARE is subject to the export control laws and regulations of the United States of America, and any amendments thereof, which restrict exports and re-exports of software, technical data, and direct products of technical data, including services and Developed Software. You agree that you will not export or re-export the SOFTWARE or any Developed Software, or any information, documentation and/or printed materials related thereto, directly or indirectly, without first obtaining permission to do so as required from the United States of America Department of Commerce's Bureau of Industry and Security ("BIS"), or other appropriate governmental agencies, to any countries, end-users, or for any end-uses that are restricted by U.S. export laws and regulations, and any amendments thereof, which include, but are not limited to: Restricted Countries, Restricted End-Users, and Restricted End-Uses.

    These restrictions change from time to time. You represent and warrant that neither the BIS nor any other United States federal agency has suspended, revoked or denied your export privileges. C1 acknowledges that it shall use reasonable efforts to supply you with all reasonably necessary information regarding the SOFTWARE and its business to enable you to fully comply with the provisions of this Section. If you have any questions regarding your obligations under United States of America export regulations, you should contact the Bureau of Industry and Security, United States Department of Commerce, Exporter Counseling Division, Washington DC. U.S.A. (202) 482-4811, http://www.bis.doc.gov.

  7. U.S. Government Restricted Rights. This Software and the documentation are provided with "RESTRICTED RIGHTS” applicable to private and public licenses alike. The Software is a "commercial item," as that term is defined at 48 C.F.R. 2.101 (Oct 1995), consisting of "commercial computer software" and "commercial computer software documentation," as such terms are used in 48 C.F.R. 12.212 (Sep 1995) and is provided to the U.S. Government only as a commercial end item. Any technical data provided with such Software is commercial technical data as defined in 48 C.F.R. 12.211 (Sep 1995). Consistent with 48 C.F.R. 12.211 through 12.212, 48 C.F.R. 227.7202-1 through 227.7202-4 (Jun 1995), and 48 C.F.R. 252.227-7015 (Nov 1995), all U.S. Government End Users acquire the Software with only those rights expressly set forth in this EULA.

    Without limiting the foregoing, use, duplication, or disclosure by the U.S. Government is subject to restrictions as set forth in this EULA and as provided in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS 252.227-7013 (c)(1)(ii)(OCT 1988), FAR 12.212(a)(1995), FAR 52.227-19, or FAR 52.227-14, as applicable. For purposes of these regulations the

    Manufacturer is ComponentOne, LLC, 201 South Highland Avenue , 3rd Floor, Pittsburgh, Pennsylvania 15206 USA.

IV. WARRANTIES AND REMEDIES.

  1. Limited Warranty. C1 warrants that the original media, if any, are free from defects for ninety (90) days from the date of delivery of the SOFTWARE. C1 also warrants that: (i) it has the full power to enter into this Agreement and grant the license rights set forth herein; (ii) it has not granted and will not grant any rights in the Software to any third party which grant is inconsistent with the rights granted to you in this Agreement; and (iii) the Software does not and will not infringe any trade secret, copyright, trademark or other proprietary right held by any third party and does not infringe any patent held by any third party. EXCEPT AS OTHERWISE PROVIDED IN THE PRECEDING SENTENCE, AND TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, C1 EXPRESSLY DISCLAIMS ANY WARRANTY FOR THE SOFTWARE, DOCUMENTATION AND ANYTHING ELSE PROVIDED BY C1 HEREBY AND C1 PROVIDES THE SAME IN “AS IS” CONDITION WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE AND DOCUMENTATION REMAINS WITH YOU. THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE OTHERS WHICH VARY FROM STATE TO STATE.

  2. Limited Remedy. C1 PROVIDES NO REMEDIES OR WARRANTIES, WHETHER EXPRESS OR IMPLIED, FOR ANY SAMPLE APPLICATION CODE, REDISTRIBUTABLE FILES, TRIAL VERSION AND THE NOT FOR RESALE VERSION OF THE SOFTWARE. ANY SAMPLE APPLICATION CODE, TRIAL VERSION AND THE NOT FOR RESALE VERSION OF THE SOFTWARE ARE PROVIDED “AS IS”.

    C1's entire liability and your exclusive remedy under this EULA shall be, at C1's sole option, either (a) return of the price paid for the SOFTWARE; (b) repair the SOFTWARE through updates distributed online or otherwise in C1's discretion; or (c) replace the SOFTWARE with SOFTWARE that substantially performs as described in the SOFTWARE documentation, provided that you return the SOFTWARE in the same manner as provided in Section I.2 for return of the SOFTWARE for non-acceptance of this EULA. Any media for any repaired or replacement SOFTWARE will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. THESE REMEDIES ARE NOT AVAILABLE OUTSIDE OF THE UNITED STATES OF AMERICA. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL C1 BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFIT, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE, EVEN IF C1 HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. BECAUSE SOME STATES/JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES IN CERTAIN CASES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

V. MISCELLANEOUS.

  1. This is the Entire Agreement. This EULA (including any addendum to this EULA included with the SOFTWARE) is the final, complete and exclusive statement of the entire agreement between you and C1 relating to the SOFTWARE. This EULA supersedes any prior and contemporaneous proposals, purchase orders, advertisements, and all other communications in relation to the subject matter of this EULA, whether oral or written. No terms or conditions, other than those contained herein, and no other understanding or agreement which in any way modifies these terms and conditions, shall be binding upon the parties unless entered into in writing executed between the parties, or by other non-oral manner of agreement whereby the parties objectively and definitively act in a manner to be bound (such as by continuing with an installation of the SOFTWARE, etc.). Employees, agents and other representatives of C1 are not permitted to orally modify this EULA.

  2. You Indemnify C1. You agree to indemnify, hold harmless, and defend C1 and its suppliers and resellers from and against any and all claims or lawsuits, including attorney's fees, which arise out of or result from your distribution of Output or from your breach of any of the terms and conditions of this EULA.

  3. Interpretation of this EULA. If for any reason a court of competent jurisdiction finds any provision of this EULA, or any portion thereof, to be unenforceable, that provision of this EULA will be enforced to the maximum extent permissible so as to effect the intent of the parties, and the remainder of this EULA will continue in full force and effect. Formatives of defined terms shall have the same meaning of the defined term. Failure by either party to enforce any provision of this EULA will not be deemed a waiver of future enforcement of that or any other provision. Except as otherwise required or superseded by law, this EULA is governed by the laws of the Commonwealth of Pennsylvania, without regard to its conflict of laws principles. The parties consent to the personal jurisdiction and venue of the Commonwealth of Pennsylvania, in the County of Allegheny, and agree that any legal proceedings arising out of this EULA shall be conducted solely in such Commonwealth. If the SOFTWARE was acquired outside the United States, then local law may apply.


Trademark Statement

DemoWorks, DemoWorks Professional, and DemoWorks Community Edition are trademarks of ComponentOne, LLC. Microsoft, Vista, NT, XP, Windows Media Player, and Windows are either registered trademarks or trademarks of Microsoft Corporation. Java is a registered trademark of Sun Microsystems, Inc. All other product and company names herein are the property of their respective owners.


DemoWorks Community Edition Information

DemoWorks Community Edition restrictions:

  • DemoWorks Community Edition will output the first 30 seconds of your project. DemoWorks Professional does not have this restriction.

If you would like to upgrade to full DemoWorks Professional functionality, go to www.componentone.com/demoworks.


Quick Start Tutorial - How To Create Your First DemoWorks Demonstration

One of the nicest features of DemoWorks is its ease-of-use. Using DemoWorks you can quickly create simple demonstrations, as well as elaborate ones. In this section we will show you how to quickly get started with DemoWorks by creating your first demonstration. Get ready to create your first product demo, presentation or tutorial!

  1. To create a new demonstration select File > New. The Activity Wizard will open.
  2. There are four capture methods.
    • The Screen option captures the entire desktop;
    • The Window option allows you to capture any application currently running on your desktop;
    • The Region option lets you define the position and size of the recording area;
    • The Run in background option keeps DemoWorks in "pause" mode until you are ready to begin recording. When you'd like to begin recording the currently active application right-click the icon at the bottom right of your desktop and select Record.

    Select Start Capturing > Window for this exercise, then click Next. Select Finish on the next screen.

  3. Once you've selected this recording option, you will see a new small window with a movie "clapboard" icon. Switch to the application that you want to capture and drag the clapboard onto it. As most applications are made up of several windows, watch for bold borders around the application windows while you are dragging – this will help you select the right window area.
  4. Perform the activities you'd like to record/capture, then press Ctrl+F10 to stop recording.
  5. Once recording has stopped DemoWorks will display its Thumbnail, Timeline, and Properties Panels. All the frames captured during the recording session will appear as thumbnails in the left margin, with a preview of the first frame in the Master Panel.

To add a title to your demo, insert a balloon with caption.

  6. Click on the Balloon icon.
  7. Drag the cursor to the desired location in the Main Panel. (You can always move it later.)
  8. Click to place the Balloon.
  9. Double-click on the Balloon to open the Object Properties dialog box.
  10. Add text and change the Balloon style.
  11. Click OK.

Next expand the caption to cover several frames. Simply select the caption in the timeline and extend it. You can also change the timing using the Properties Panel.

Next, add a highlight for emphasis.

  12. Click on the Highlight icon.
  13. Drag the cursor to the desired location in the Main Panel. (You can always move it later.)
  14. Click to place the Highlight. Resize as desired.
  15. Double-click on the Balloon to open the Object Properties dialog box.
  16. Click OK.

Preview your demo at any time by clicking the Preview button.

To create an AnimatedGIF, click the Generate GIF button. This file can be inserted into a Help project, attached to an email, used on a website, etc. Please note that DemoWorks Community Edition will output only the first 30 seconds of your video. DemoWorks Professional does not have this restriction. See DemoWorks Community Edition Information for details.

Congratulations on producing your first demonstration. You are now ready to create professional demos in minutes!

For more information see:

  • Capture Process Overview

  • Workspace

  • Balloon and Caption Effects

  • Highlight Effect

  • DemoWorks Player

  • Generating GIF Demonstrations


Creating, Opening and Saving Projects

Creating, Opening and Saving Projects > Creating, Opening and Saving Projects

Creating, Opening, and Saving Projects

Use the File menu to create, open, and save DemoWorks projects.

Create a new project

Choose File > New. A Wizard will open that will guide you through the creation process.

The Quick Start Tutorial illustrates a sample project.

See Capture Process Overview, Capture Modes, and Capture Options for details about recording.

You can specify when (and if) the Wizard will be launched. Choose Tools > Options to open the Application Properties dialog box. From the Interface tab, choose the Show Wizard option you prefer. For more information, see DemoWorks Interface.

Open a project

Choose File > Open. Choose the project and click Open.

Recently opened projects will appear in the File menu.

Save changes to a project

Choose File > Save.

To save a project with a new name, choose File > Save As.


Overview

Capturing/Recording Desktop Activity to Create Demonstrations > Overview

Capture Process Overview

In DemoWorks, capturing is the process of recording desktop activity for later editing and generating a final demonstration.

Most capture related functions can be accessed from the Capture menu. There are three capture options — screen, window, and region. You can also choose to capture in background mode. See Capture Modes for details.

When capturing, use the application you wish to demonstrate as you normally would by moving the mouse or using the keyboard to navigate menus or illustrate functionality. As you do, DemoWorks captures your onscreen movements and actions. Once you are finished capturing you can customize the demonstration with DemoWorks’ many editing options. See Balloon and Caption Effects, Image Effect, Highlight Effect, and Masterframe.

To start the capture process, create a blank DemoWorks project. You can also create a new project and start capturing at the same time by choosing File > New and choosing Start Capturing from the Wizard.

See Creating, Opening, and Saving Projects.

Note: If you start the Capture process within an existing project, upon completing of the capture process (Ctrl+F10) your newly recorded demonstration will be automatically resized to match the active document and the newly captured demonstration will be dropped at the end of the existing project.

See Capture Controls for information on pausing, restarting, canceling, and ending a capture.

To set your master capture properties, see Capture Options.


Capture Modes

DemoWorks provides several capture modes for different needs. The following Capture modes are available:

  • Screen
  • Window
  • Region
  • Background Mode
  • Single Frame

See Capture Controls for information on pausing, restarting, canceling, or ending a capture.

Capture > Screen

Captures the area of the full screen (desktop). To create demonstrations that fit within the browser window it is best to use this mode with smaller screen resolutions, for example 800x600. You can also scale down your demonstration at a later time when generating the final GIF, Flash, or Java Applet demonstration.

Attention: the capture process starts immediately after selecting Capture > Screen. You will see an icon in the system tray (bottom right corner) of your desktop.

Capture > Window

Captures the whole area of selected application or such elements (windows) of an application as individual wizards, dialog boxes, menus or other. This option is especially useful if you like to capture a whole application resized to a smaller size than the whole screen (desktop).

Once the "Window" option is selected from the Capture menu, you will see a large camera icon on the screen, which you need to drag with your mouse onto the area that you want to capture. The capture process starts immediately after the camera is dragged onto the application/window that you want to capture. During the recording you will see an icon in the system tray (bottom right corner) of your desktop.

Capture > Region

Lets you define the exact position and size of the recording area. Once selected from the Capture menu, you are presented with a square area that you can drag onto the desired desktop area and resize to the specific size you need. You can resize the window by moving your cursor until a two-way arrow < - > appears. Click and hold the mouse while dragging the window to the desired size and area. You can also enter the window position and size (in pixels) manually.

Press Enter when you want to start the capturing process.

Capture > Background mode

Allows you to unobtrusively run DemoWorks on your machine in a "waiting mode." When you're ready to start capturing the currently active application, you have several options to do so:

  • Right-click the pause icon in the system tray (bottom right corner) of your desktop and select Record.
  • Press Ctrl+Shift+W to start capturing the current, active application window.

See Capture Controls for details.

To capture a single frame

  1. Clear the Autocapture check box in the Capture Options.
  2. Choose Capture > Screen or Window. An icon will appear in the system tray (bottom right corner) of your desktop.
  3. Right -click on the icon and choose Capture Frame.
  4. Right-click on the icon and choose End (or press Ctrl+F10).


Capture Options

DemoWorks provides several options to help you control your demonstration capture process.

Choose Tools > Options. If the Properties Panel is turned on, the Environment properties will display. Choose the Capturing tab.

If the Properties Panel is turned off, the Application Properties dialog box will open. Choose the Capturing tab. (You can also access this dialog box via Capture > Settings.)

Property | Description
Autocapture Use to turn the automatic capturing On/Off.
  • When Off, you need to capture each screen, window or region frame manually, by pressing the PrintScrn key on your keyboard.
  • When On, DemoWorks will automatically capture the desktop when you perform various actions, such as moving or clicking the mouse, using keyboard or when DemoWorks detects changes on your desktop.
Mode | Specify if DemoWorks should record an animation or a presentation. Select Animation if you want DemoWorks to record all activity you on your desktop, including screen changes. This mode is used most frequently but captures more frames and therefore creates larger demo files. Select Presentation if you want to record only user-initiated actions, such as keyboard and mouse clicks, but not screen changes. This mode may be used for capturing on-screen presentations. It captures smaller number of frames and therefore creates smaller demo files, however such demos may be seem less smooth if they contain a lot of movement.
Acceleration | To efficiently capture the desktop, DemoWorks needs to turn-off your system's graphics hardware acceleration during capturing. This option lets you select if you want to turn-off your graphics acceleration immediately when DemoWorks is started (Application), or only when you start the Capture process (Capture Mode), or not at all. Keep in mind that if you select None then your desktop may seem slower when recording (capturing) your activity.
Frequency | Specify the frequency with which DemoWorks should sample the screen when detecting changes on the desktop. The highest value (100) will assure that DemoWorks captures any screen changes as soon as they occur, however this may cause capturing of too many unnecessary frames, for example while a menu, window or another object is still being drawn. You may experiment with lowering the Frequency to a value that captures the most optimal number of frames for your computer. The Frequency option is enabled only when the capture mode is set to Animation as it is not used in the Presentation mode.
Audio Frequency | Specify the audio recording frequency with which DemoWorks should sample the audio during demo capture. Higher frequency indicates better voice quality, however it results in larger file sizes of generated demos. Select No Recording if you don't want to record sound. An empty sound track can be added to your demo after it is captured by selecting: Demo > Object > Insert Narration from the menu.
Sound Precision | Specify the sound precision in bits, as either 8-bit or 16-bit. 16-bit precision indicates better voice quality, however it results in larger file sizes of generated demos
Mute Speakers | Select this option if you like to turn off the speakers while capturing the demo. This option is useful to avoid audio feedback when recording voice.

For more on capturing, see Capture Process Overview.


Capture Controls

Use the following controls to pause, restart, cancel, or end a capture:

  • End Capture
    While in Capture or Pause mode, press Ctrl+F10
    You can also right-click on the icon in the system tray and select End.
  • Cancel Capture
    While in Capture mode, press Ctrl+Break
    You can also right-click on the icon in the system tray and select Cancel.
  • Pause Capture (only available if recording in Background Mode)
    While in Capture mode, press Shift+Ctrl+W
    You can also right-click on the icon in the system tray and select Pause. The icon will change to indicate the capture process is paused.
  • Restart Capture (only available if recording in Background Mode)
    While in Pause mode, press Shift+Ctrl+W
    You can also right-click on the icon in the system tray and select Record. The icon will change to indicate the capture process is restarted.


Workspace

The DemoWorks workspace consists of four panels:

  • Main
  • Thumbnails
  • Properties
  • Timeline

You can detach (undock) the panels by double-clicking on their titles, which will make them appear to float freely. You can also prevent re-attachments (docking) of panels into the edges or corners of DemoWorks workspace by dragging them while holding the Ctrl key on your keyboard.


Thumbnails Panel

The Thumbnails panel is where you can preview the demonstration frames captured in your DemoWorks project and select them for editing. A number and name identify each project frame. The number indicates the frame position. The name and other frame attributes can be changed in the Properties panel.

Use the right-click menu to hide (toggle visibility), move, duplicate, or delete a frame.

The following actions can be performed in this panel by using the mouse, keyboard, and context menu.

Mouse
Action | Description
Mouse wheel | Scroll
Left button click | Select frame
Left button double click | Open frame in the frame editor
Right button click | Select frame + open context menu
Shift + left button click | Select frame and all frames in between this and previously selected frame
Ctrl + left button click | Toggle frame selection

Keyboard |
Key | Description
Enter | Open selected frame(s) in frame editor.
V | Toggle frame visibility
Del | Delete selected frame(s)
Right, Left, Up, Down | Navigate
Home | Navigate to the first column (if multiple columns are present in the view)
End | Navigate to the last column (if multiple columns are present in the view)
Ctrl+Home | Navigate to the first frame
Ctrl+End | Navigate to the last frame
Page Down/Up | Navigate page down/up
Shift + (any of the above keys) | Select multiple frames in addition to the corresponding navigation. For example Shift+Ctrl+End navigates to the last frame while selecting multiple frames.
Ctrl+A | Select all frames
Ctrl+C | Copy selected frame(s) into clipboard
Ctrl+V | Paste frame(s) from clipboard into arbitrary position
Ctrl+B | Paste frame(s) from clipboard before current position
Shift+Ctrl+V | Paste frame(s) from clipboard after current position
Ctrl+X | Cut selected frame(s) and copy into clipboard
Ctrl+D | Duplicate selected frame(s)

You can perform most of the above actions via the right-click menu in the Thumbnails Panel.

You can also change the layout of the Thumbnails panel from horizontal to vertical or matrix-like by dragging the panel into a new area of your Workspace. Remember that holding the Ctrl key while dragging panels prevents their automatic docking. See Workspace for more details.


Timeline Panel

The Timeline panel enables you to review and modify the timing of individual frames in your document. The voice narration (audio) is also included in this panel; for more details see Recording Voice/Audio.

The Timeline panel contains four sections:

  • Time axis
    The timescale is shown at the top to let you estimate the duration of the demonstration and/or individual frames. The time is shown in the format minutes:seconds.millisecond (mm:ss.ms).
  • Sound track
    The sound track represents the voice narration recorded via the audio recording process.
  • Frame Captions
    The caption consists of the frame position number and the name. When selected, you can modify the frame name or move the frame by changing its corresponding properties in the Properties panel.
  • Effects
    The bottom area of the Timeline panel displays the effects (objects) placed into the frames during the editing process. You can visually change the duration of an effect by highlighting the effect and dragging it to desired size. An effect placed in a single frame can be resized to extend into multiple frames.

Additionally, the frames, effects, and mouse movements are shown within separators that can be dragged to compress or extended the time of a frame, effect or mouse cursor movement.

The following actions can be performed in this panel by using the mouse, keyboard, and context menu.

Mouse
Area | Action | Description
Any
Mouse wheel | Scroll in time
Ctrl+wheel | Zoom in/out
Time Axis
Drag time axis with left mouse button | Scroll in time
Frame Caption
Left button click | Select frame
Left button double click | Open frame in frame editor
Shift + left button click | Select multiple frames, starting with previously selected frame
Ctrl + left button click | Toggle frame selection
Drag frame separator Scale selected frame(s).
Scale selected frames with time division when dragging non-last separator of multiple selected frames.
Cursor Zone
Drag cursor zone separator | Resize selected cursor zone and proportionally scale the frame
Ctrl + drag cursor zone separator | Resize selected cursor zone and independently of the frame
Shift + drag cursor zone separator | Resize selected cursor zone and subdivide or merge with adjacent cursor zone
Effect
Left button click | Select effect
Drag left/right | Move effect between frames (if grips are not used)
Drag up/down | Change effect's z-order among layered effects (change order back/front)
Drag edge | Scale effect
Drag fade separator | Scale effect's fade time
Empty Area (grid)
Left button click | Deselect
Left button double click | Toggle grid
Keyboard
Key | Description
+/= Zoom in scale
- Zoom out scale
Enter | Open selected frame(s) in frame editor
Home | Navigate to start of document
End | Navigate to end of document
Space | Switch between frame views (regular frames and Masterframe)
A | Switch to regular (all) frames view
M | Switch to Masterframe view
Page Down/Up | Scroll view by page
F (on an effect) | Iterate among fade types
, (comma) | Iterate among left grip types
. (period) | Iterate among right grip types
Del | Delete selected frame(s)
Ctrl+A | Select all frames
Ctrl+C | Copy selected frame(s) into clipboard
Ctrl+V | Paste frame(s) from clipboard into arbitrary position
Ctrl+B | Paste frame(s) from clipboard before current position
Shift+Ctrl+V | Paste frame(s) from clipboard after current position
Ctrl+X | Cut selected frame(s) and copy into clipboard
Ctrl+D | Duplicate selected frame(s)

The following are sample actions that can be performed in the Timeline panel:

  • Change the time scale (zoom in & zoom out) by selecting appropriate options from the time axis' context menu, pressing the (+) or (-) key on your keyboard, or holding Ctrl while scrolling the mouse wheel.
  • Change frame duration by dragging frame boundaries.
  • Change mouse movement duration by dragging cursor zone boundaries. The dark gray area indicates the stationary position of the mouse before and after the cursor is moved.
    Hold the Ctrl key to change mouse duration independently of the frame. If mouse position is lined up with a frame's start or end position, hold the Shift key when dragging the line to the right to open up the space between the frame and the mouse position.
  • Change the duration of an effect by resizing it within a single frame or to extend into multiple frames. If resized outside of a single frame, the effect will appear within all affected frames and can also be edited in those frames.
  • Change the duration of the fade-in and fade-out phase of an effect by dragging the red lines within the effect.


Recording Audio

Working with DemoWorks Projects > Recording Audio

Recording Voice/Audio

Recording audio in DemoWorks is as easy as speaking into the microphone when capturing demos.

DemoWorks automatically records the audio from the microphone in real-time, unless the Audio Frequency property is set to No Recording in the Properties panel.

To avoid the audio feedback, during the demo recording you may want to turn off the speakers by selecting the Mute speakers option.

To record audio with DemoWorks

  1. In the Timeline Panel, right-click on the audio track (the first row).
  2. Choose Record from the menu. The Audio Recorder dialog box will open.
  3. Click the Record button, then OK.

To play the audio back, right-click on the audio track and choose Play.

After finishing capturing you may also re-record a fragment of a soundtrack, or replace it with an audio WAV file recorded separately, as long as the external WAV file is saved with the same frequency as recorded in DemoWorks (for example 11.025 kHz). The external WAV file should be in either 8 bit or 16 bit Mono format and should match the settings specified in DemoWorks. If your audio file is in an incompatible format, you can use Windows Sound Recorder to load it then change its properties and re-save.

After capture process is completed, the recorded soundtrack is shown in the Timeline panel, below the names of the frames.
You can use the mouse to select any part of the soundtrack that you want to work with. Then right-click on it or press the appropriate shortcut key to access any of the following functions:
Action | Keyboard Shortcut | Description
Play/Pause | P | Play the sound within the selected area, or pause and resume sound that was previously started.
Stop | S | Stop playing sound.
Record | R | Open the audio recorder to record new audio over selected area.
Cut | Ctrl+X | Cut the sound selection and place onto clipboard. This action can also be used to clear sound within selection.
Copy | Ctrl+C | Copy the sound selection onto clipboard.
Paste | Ctrl+V | Paste the sound from clipboard into the starting point of the selected area forward.
Delete | Del | Remove full soundtrack. An empty soundtrack can be added back via Demo > Object > Insert Narration.
Import | F3 | Import sound from a .wav file into selected sound fragment
Export | F4 | Export selected sound fragment to a .wav file
Select from the beginning | Home | Expand soundtrack selection to start from the beginning of the demo
Select to the end | End | Extend soundtrack selection to the end of the demo

When changing duration of frames that contain sound the audio track stays intact and doesn't change. However you can hold the ALT key when changing frame duration to edit the sound appropriately. For example if you increase frame duration while holding ALT then an empty space will be inserted into the soundtrack. If you decrease frame duration while holding ALT then the corresponding part of the soundtrack will be removed.

TIP: Refer to the FAQ section for information on how to improve the recorded sound quality.


Properties Panel

The Properties panel is where you configure the DemoWorks application, individual frames, and objects (effects) within the frames. DemoWorks displays a different list of properties for different types of objects. It always shows the properties of the last object that you click or select, or it will display the DemoWorks properties if you select Options > Preferences from the top menu bar.

When you select any of the properties, a short description is displayed in the bottom area of this panel.

The individual properties of the various object types are listed and described in the DemoWorks Objects section of this documentation.

The Properties panel can also be used to configure the interface, demo capture and audio recording options.


Frame Editing Area - Main Panel

The editing area is the main area in DemoWorks where you work with individual frames. Here you can place captions and images in a frame within your project, highlight specific areas of the screen to draw attention to important information, or adjust the mouse pointer position.

This area can contain multiple frames that were opened from other panels. You can switch between frames by clicking on the frame tabs at the top.

Refer to the DemoWorks Objects section to learn how to work with individual objects, such as Captions. Each object provides specific functionality and properties that can be modified via the Properties panel.


DemoWorks Player

The DemoWorks Player allows you to preview the demos before producing the final output file.
You can quickly access the Player by selecting the Player toolbar button or selecting Demo > Preview from the menu.

The DemoWorks Player also displays the animation duration and the current frame number.

The following buttons are available in the DemoWorks Player:
Value | Description
Play | Start or restart the demo (if paused).
Pause | Pause the demo.
Stop | Stop the demo.
Rewind | Move the demo back by 3 seconds.
Forward | Move the demo forward by 3 seconds.
Loop | Turn on unlimited looping (repeating) of the demo.
Fit | Change the demo size to fit the Player window.
Full Screen | Enlarge the Player to full screen. Click again to reduce.
Audio Recording | Record audio.

Please note that in DemoWorks Community Edition, you can preview your entire video in the DemoWorks Player, but output only the first 30 seconds of your project. DemoWorks Professional does not have this restriction.

See DemoWorks Community Edition Information for details.


Frame Exporter

The Export Single Frame dialog box allows you to save individual frames from your demo.
You can access this dialog by selecting a frame in the Main, Thumbnail, or Timeline Panel and choosing Demo > Frame > Export.

The following options can be used to specify export settings:
Option | Description
Output Filename | Name/location of the file to be created during export.
Background | The main frame image.
Objects | Objects (effects) added to the frame, such as Caption, Balloon, Highlight or Image.
Mouse pointers | Mouse pointers.
Initial pointer | The initial mouse pointer position indicator.
Next pointer | The final mouse pointer position indicator.
Movement path | The path of the mouse pointer's movement.
Format | File format to use for the saved frame image.


DemoWorks Objects Overview

DemoWorks Objects > DemoWorks Objects Overview

DemoWorks Objects

When working with DemoWorks, you work with various objects. Here we describe these objects and concepts in more detail:

  • DemoWorks Interface
  • DemoWorks Project
  • Frame
  • MasterFrame
  • Balloon and Caption Effects
  • Image Effect
  • Highlight Effect
  • Mouse Pointer


DemoWorks Interface

The DemoWorks interface can be configured in the Properties panel by selecting Tools> Options.

If the Properties panel is turned off or is already opened, then the DemoWorks Options dialog box opens instead. The options are the same in both.

The following application and interface options are available:

  • Show Wizard

    Specifies if DemoWorks Activity Wizard should be started when launching DemoWorks or creating a new project. You can select the following values:
    Value | Description
    Never | DemoWorks will never launch the Activity Wizard.
    On New Project | DemoWorks will start the Activity Wizard when creating new projects.
    On Launch | DemoWorks will start the Activity Wizard when DemoWorks itself is launched.
    On New & Launch | DemoWorks will start the Activity Wizard when creating new projects and when DemoWorks is launched.

  • Labels

    This option specifies the functionality of the keyboard SPACE key in the frame editing area. The valid values are:
    Value | Description
    Press SPACE to toggle | The labels associated with objects/effects will be turned on and off by pressing the SPACE key.
    Hold SPACE to view | The labels associated with objects/effects will be shown only during the time when the SPACE key is pressed.

  • Property Tabs

    If selected, the Properties panel will display properties categorized via tabs. If cleared, the properties will be shown as grouped property list.

  • Property Comments

    If selected, the Properties panel will show property description area in the Properties panel. Otherwise the description area will be hidden.

  • Masterframe Objects

    Specifies if objects belonging to the Masterframe should also be shown when editing or previewing other frames. The available values are:
    Value | Description
    Show | Masterframe objects will be shown when editing or previewing other frames.
    Hide | Masterframe objects will be hidden when working with other frames.

  • Player on Top

    Specifies if DemoWorks Player used to preview demonstrations should always be shown on top of other windows.

  • Overwrite files

    Specifies if you want to overwrite previous demo files (.gif, .avi, .swf, .exe) when generating new demos with a conflicting name. This option is also available in demo output dialogs.

Additionally, you can configure Capture-specific properties of the application as described in Capture Options.

Also, you can use the Info tab to specify demo author information, which will be included in the generated Flash demos.


DemoWorks Project

The file that stores detailed information about the demonstration that you are working with in DemoWorks. The DemoWorks projects are saved with the extension .dwk.


Frame

DemoWorks Objects > Frames

Frames

Frames are screenshots captured by DemoWorks when recording demonstrations. Each DemoWorks project is usually made of multiple frames captured at different points of the demonstration. You can access frame properties by right-clicking on one and choosing Properties from the menu.

The following frame properties are available:

Property | Description
Name | A unique name or identification given to each frame. The names are assigned automatically after the Capture process is completed and they can be customized.
Position | The position of the frame within the document. You can move frames by changing the value of this property.
Duration | The time duration of the frame in the following format: minutes:seconds:hundredths of a second (mm:ss:hs). For example entering the value "1:0:0" will set the frame duration to one minute, while the value of "0:1:20" will set it to 1 second and 200 milliseconds.
Start | The start time of the frame in the format minutes:seconds:hundredths of a second (mm:ss:hs) This value cannot be modified directly because it depends on the ending time of the previous frame. You can only modify it indirectly by changing the "End" time of the previous frame.
End | The end time of the frame in the format minutes:seconds:hundredths of a second (mm:ss:hs).
Visibility | Turning it off allows you to hide the selected frame so that the frame will be skipped when generating the final demonstration. You can also change the visibility of the frames by pressing "V" on your keyboard when frame(s) are selected in the Thumbnails panel.

See Capture Overview for details about capturing.


Masterframe

The Masterframe is a special frame that can be used to display the copyright or other information across the whole demonstration. If used, the effect objects placed within the Masterframe will always be visible during the demonstration, as if they were added to each regular frame. The Masterframe can be worked with in the same way as any other frame, as its properties are the same as of the regular frames. You can access the Masterframe by selecting Demo > Masterframe.

For example: to include copyright information within your demonstration, place the Caption or Image effect onto the Masterframe and enter the text or specify the image that you'd like to use throughout the demo.

A Masterframe tab is also available in the Timeline Panel, and can be used to incorporate a background audio file.


Balloon and Caption Effects

The balloon and caption effects are objects used to display captions or comments in your project. You can place Captions within individual frames, or across several frames.

A balloon is equivalent to a caption, except for having a background shape that highlights the caption. For your convenience, the Toolbox includes separate Balloon and Caption effects. Selecting the Balloon effect will let you place an empty background shape on the screen, which you can later configure with a different shape, color and text. Alternatively, selecting the Caption effect will add text caption on the screen, which you can later add a balloon background to if you like.

Use the Balloon and Caption toolbar buttons to insert them.

You can configure a balloon or caption by double-clicking on it, or changing its properties directly in the Properties panel.

The following properties are available:

Property | Description
Name | A unique name or identification given to the effect.
X Pos | The horizontal position of the caption within the frame, in pixels counted from the left edge of the frame.
Y Pos | The vertical position of the caption within the frame, in pixels counted from the top edge of the frame.
Start | The start time of the caption in the following format: minutes:seconds:hundredths of a second (mm:ss:hs). For example entering the value "1:0:0" will set the caption to be shown after one minute, while the value of "0:1:20" will set it to be shown at 1 second and 200 milliseconds.
End | The end time of the caption in the following format: minutes:seconds:hundredths of a second (mm:ss:hs).
Transparency | The transparency ratio of the caption, in percent (%). A higher ratio means that the background behind the caption will be more visible.
Fade | The type of fading effect to be applied to the caption. Fade-in will cause the caption to appear "slowly" until it gains its full transparency ratio. Fade-out will cause the caption to "slowly" fade at the end of its duration time until it is fully transparent and no longer visible.
Autosize | Indicates if the caption background should be sized automatically to the size that best matches the text/comments to be displayed by the caption object. If turned-off, you can manually resize the caption to best fit your needs.
No Fill | If selected, the caption background is removed so that the caption text is shown floating freely over the frame.
VCentered | Indicates if the caption text should be center vertically within the caption background. If turned-off, the text will be shown at the top of the caption object.
Width | The width, in pixels, of the caption object. This property can be modified only if the Autosize property is turned-off.
Height | The height, in pixels, of the caption object. This property can be modified only if the Autosize property is turned-off.
Text | The text or comments to be shown within the caption object area. To modify the text you need to click the [...] button within this property. You can also format the text by changing the font's type, size and color, as well as the alignment of the paragraph (left, centered, justified).
Style | The style of the appearance of the caption's background. You can select several of predefined types, each giving your caption a different look.
Type | The type of style selected for the caption's background.

The example below illustrates how to add and work with a Caption within your demonstration.


Image Effect

The image effect is used to add an external image (such as a logo) into the demonstration. An image can be placed within an individual frame, or across several frames.

To insert an Image

  1. Click on the Picture icon.
  2. Drag the cursor to the desired location in the Main Panel. (You can always move it later.)
  3. Click to place the image box.
  4. Double-click on the box to open the Object Properties dialog box.
  5. Choose the image Filename (.png, .bmp, .gif, .jpg, or .jpeg) and other attributes.
  6. Click OK.

The following properties are used to configure the image effect:

Property | Description
Name | A unique name or identification given to the image.
X Pos | The horizontal position of the image within the frame, in pixels counted from the left edge of the frame.
Y Pos | The vertical position of the image within the frame, in pixels counted from the top edge of the frame.
Start | The start time of the image in the format minutes:seconds:hundredths of a second (mm:ss:hs). For example entering the value "1:0:0" will set the image to be shown after one minute, while the value of "0:1:20" will set it to be shown at 1 second and 200 milliseconds.
End | The end time of the image in the format minutes:seconds:hundredths of a second (mm:ss:hs).
Transparency | The transparency ratio of the image, in percent (%). A higher ratio means that the image will be less visible.
Fade | The type of fading effect to be applied to the image. Fade-in will cause the image to appear "slowly" until it gains its full transparency ratio. Fade-out will cause the image to "slowly" fade at the end of its duration time until it is fully transparent and no longer visible.
Lock Aspect | Specifies if the image should be resized without changing its shape, preserving its original width to height ratio.
Autosize | Indicates if the caption background should be sized automatically to the size of the image. If turned-off, you can manually resize the image to best fit your needs.
Width | The width, in pixels, of the image object. This property can be modified only if the Autosize property is turned-off.
Height | The height, in pixels, of the image object. This property can be modified only if the Autosize property is turned-off.
Compression | The compression ratio of the image. 0 = minimum; 100 = maximum. Applies only to generating Flash, Java, and Exe demos.
Picture | The location of the image.


Highlight Effect

The highlight effect/object is used to highlight a specific area of the screen in the demonstration. You can place the highlight effects within individual frames, or across several frames. The following properties are used to configure highlight effects:

Property | Description
Name | A unique name or identification given to the effect.
X Pos | The horizontal position of the highlight effect within the frame, in pixels counted from the left edge of the frame.
Y Pos | The vertical position of the highlight effect within the frame, in pixels counted from the top edge of the frame.
Start | The start time of the highlight effect in the format minutes:seconds:hundredths of a second (mm:ss:hs). For example entering the value "1:0:0" will set the highlight effect to be shown after one minute, while the value of "0:1:20" will set it to be shown at 1 second and 200 milliseconds.
End | The end time of the highlight effect in the format minutes:seconds:hundredths of a second (mm:ss:hs).
Fade | The type of fading effect to be applied to the highlight effect. Fade-in will cause the highlight effect to appear "slowly" until it gains its full transparency ratio. Fade-out will cause the highlight effect to "slowly" fade at the end of its duration time until it is fully transparent and no longer visible.
Transparency | The transparency ratio of the highlight effect, in percent (%). A higher ratio means that the highlight effect will be more visible.
Border Color | The color of the highlight effect's border.
Effect Color | The fill-in color of the highlight effect.
Border Size | The thickness of the highlight effect's border, in pixels.
No Fill | If selected, the caption background is removed so that the caption text is shown floating freely over the frame.

The example below illustrates how to create the highlight effect in a demonstration.


Mouse Pointer

The mouse pointer is an object that is automatically added to the frames, based on the actual mouse position during the demo Capture. Within each frame you can adjust only the starting position of the mouse pointer, while its ending position is controlled within the next frame, where it becomes the starting position. The following properties of the mouse pointer can be adjusted in the Properties Panel:

Property | Description
Name | A unique name or identification given to the mouse pointer.
X Pos | The horizontal position of the mouse pointer within the frame, in pixels counted from the left edge of the frame.
Y Pos | The vertical position of the mouse pointer within the frame, in pixels counted from the top edge of the frame.
Move Type | The type of the movement to be performed by the mouse pointer within duration of the frame in the output demonstration. Selecting "Curve move" will cause the mouse pointer to move in a human-like curve fashion, while selecting "Linear move" will make the mouse pointer move in a straight line.
Cursor | The image defining the shape of the mouse pointer.


Generating Output Demonstrations Overview

Generating Output Demonstrations > Generating Output Demonstrations Overview

Generating Output Demonstrations

Once you capture a demonstration, you are ready to generate demos that can be used in online Help, published on the Web, or placed on training CDs, etc.

The following output formats are supported by DemoWorks, with their common uses and advantages.

Please note when using DemoWorks Community Edition:

  • Only the first 30 seconds of your video will be generated, regardless of the demonstration length.

See DemoWorks Community Edition Information for details.

Format Common Use Advantages Weaknesses
GIF Help files, Web (within HTML pages), Emails Extremely easy to embed within HTML documents and emails, as simple as including any image.
Reasonably small demo file size. 		Most optimal for short demos, up to 2 minutes, 800x600 resolution.
No controls to pause/stop/rewind/forward the demo.
Number of colors limited to 256.
AVI (movies) Web (as downloadable files), CDs, DVDs Can be played by most media/movie players, such as Windows Media Player.
Can be edited by variety of movie editing tools. 		Very large file sizes, but file size depends on the compression codec used.
Flash Web (within HTML pages), CDs, DVDs Extremely popular format used on the Web.
Includes controls to pause/stop/rewind/forward the demo.
Reasonably small demo file size. 		Difficult to edit with external tools (this could be a benefit if you want to protect your demos from being modified by others).
Java Applet Web (within HTML pages) Smallest demo file size.
Very popular format used on the Web.
Includes controls to pause/stop/rewind/forward the demo. 		Limited total demo size & length due to restricted memory allocation by Web browsers.

Requires Sun Java environment 1.3 or higher to be installed on the computer of the users who will view the demo.

Difficult to edit with external tools (this could be a benefit if you want to protect your demos from being modified by others).

Executable (.exe) CDs, DVDs Quite small demo file size.
Includes controls to pause/stop/rewind/forward the demo. 		Can be played only on Windows computers. Usually blocked in Help files and emails.
WMV Web (as streaming video), DVDs Deliver streaming content on the web.
WMV codec is the only one supported by the Microsoft Silverlight platform. 		The Digital Rights Management System (DRM) may make it difficult for others to copy your demo. (This could be a benefit if you don't want others to make copies of your demo.)

To access the Generate Demo dialog box

  • Choose Demo > Create AnimatedGIF (AVI, Java, Flash, EXE, WMV) Demo or use the appropriate toolbar button [image].

The Generate Demo dialog box contains various options that depend on the selected output format, with the exception of two common options, shown below:

Option | Description
Overwrite files | This option specifies if previously generated demo file(s) should be overwritten if the specified new filename is the same.
Send via email | Select this option if you like to send the generated demo(s) via email. When this option is set DemoWorks will automatically open a new email and attach the demo files after completing the demo generation process. You will be able to edit the email message before sending it.


GIF Demonstrations (AnimatedGIFs)

Generating Output Demonstrations > GIF Demonstrations (AnimatedGIFs)

Generating GIF Demonstrations (AnimatedGIFs)

Once you capture a demonstration, you are ready to generate an AnimatedGIF that will play your demonstration and can be used on online Help, published on the Web, included in emails, or used in documents.

AnimatedGIFs play automatically; they do not include play, pause, stop controls. You may specify the number of times the file will loop (or set it to Repeat Forever).

You can access the Generate Demo dialog box by choosing Demo > Create AnimatedGIF. The dialog box lets you specify the size, color and additional parameters for the AnimatedGIF, as follows:

Type | Option | Description
General
Output Filename | The path where the AnimatedGIF should be generated, including the filename. You can click the [...] button to select the destination folder and the filename.
Layers
Background | The screenshots captured during the Capture process, excluding the mouse cursor.
Objects | The effects added to your demonstration, such as Caption, Image and Highlight objects.
Mouse Pointer | The mouse pointer.
Palette
Bits per pixel The number of bits of information stored per pixel. More bits indicate more colors that can be represented.
One "color" is reserved for transparency index.
Bits | Maximum Colors
8 | 255
7 | 127
6 | 63
5 | 31
4 | 15
3 | 7
2 | 3

The higher the number of bits (colors) the better quality of AnimatedGIF. However, decreasing the number of colors results in more compact, smaller file sizes.

Adaptive Palette If specified, DemoWorks will optimize the color palette based on the most commonly used colors across all frames, which will results in more accurate representation of the demonstration.
This process takes longer time but results in higher quality of generated AnimatedGIF in color.
If not specified, DemoWorks will utilize the static palette of evenly distributed colors or shades of gray.
When choosing grayscale output you may want to experiment with using the adaptive palette, as often the standard grayscale palette may produce better results, and faster as well.
Grayscale | Converts all colors into gray tones based on color intensity of each pixel. The resulting benefit is usually a better representation of the demonstration (excluding the colors) achieved with less bits-per-pixel and therefore smaller file size.
Dithering Utilizes dithering to achieve appearance of additional colors not available in the color palette. The resulting image may appear grainy, as some of the actual colors are replaced by a mixture of available colors. Dithering is used to simulate a larger number of colors than allowed by the color palette, however it often creates large files sizes of the output AnimatedGIFs.

16-color image with dithering off
16-color image with dithering on
Dimensions
Size | The size of the AnimatedGIF, in percent of the original (captured) screen size. Select Custom to specify the size manually.
Width | The width of the AnimatedGIF to be created, in pixels. This option is active only if the size is selected as Custom.
Height | The height of the AnimatedGIF to be created, in pixels. This option is active only if the size is selected as Custom.
End Pause Time | Time to be added to the last frame to end the animation with a pause. This option is especially useful when creating demos that loop, therefore may require a pause before restarting from the beginning.
Animation
Frames per second | The frequency of the frames, in frames-per-second. A higher frequency allows to achieve smoother mouse movement and appearance of the objects/effects used in the demonstration, however it requires a larger number of frames to be produced and therefore a larger file size of the resulting AnimatedGIF.
Looping | Specify if you want to repeat the demo sequence in loops.
Repeat Forever | Specify if you want the looping to be performed indefinitely. This option is active only if the Looping option is set.
Repeat Count | The number of demo loops to be performed. This option is active only if the Looping option is set and Repeat Forever option is not set.


AVI Demonstrations

Generating Output Demonstrations > AVI Demonstrations

Generating AVI Demonstrations

Once you capture a demonstration, you can generate an AVI file that will contain your demonstration and can be played by most of the media/movie players, such Microsoft Windows Media Player. The only requirement is that the user who will play the demo has the appropriate video codec (decoder) installed, which is usually the same codec that you used when creating the AVI. When creating AVI demos you will be presented with the list of video codecs (encoders) installed on your computer and you can choose one that you like to use. Keep in mind that many compression methods implemented by various codecs may result in very large file sizes.

You can find more information about codecs on the Web:
http://www.google.com/search?q=define:codec
http://www.google.com/search?q=codec

You can access the AVI output dialog box by choosing Demo > Create AVI Demo.

AVIs will have play, pause, and stop controls, but those are determined by the user's player, such as Windows Media Player.

The Generate Demo dialog box lets you specify the filename, codec and its configuration parameters (when supported by codec), and frames per second.

Option | Description
Output Filename | The path where the AVI demo should be generated, including the filename. You can click the [...] button to select the destination folder and the filename.
Installed codecs | Video codecs (encoders and/or decoders) installed on your computer. Select one.
Configure | Configuration dialog supplied by the selected codec. DemoWorks doesn't have control over this dialog and all options that you might see there are provided and supported by the codec manufacturer. Certain codecs may not provide a configuration dialog, in which case this button will be disabled.
About | Information provided by the codec manufacturer.
Compression Quality | Quality selector supplied by the selected codec. It is used by certain codecs in addition or in place of the configuration options (Configure). DemoWorks doesn't have control over this functionality, therefore you may need to refer to your codec's documentation for more information.
Frames per second | The frequency of the frames, in frames-per-second. A higher frequency allows to achieve smoother mouse movement and appearance of the objects/effects used in the demonstration, however it requires a larger number of frames to be produced and therefore a larger file size of the resulting AVI.


Flash Demonstrations

Generating Output Demonstrations > Flash Demonstrations

Generating Flash Demonstrations (SWF)

You can generate Flash demonstrations (.swf files) that can be included on the Web or CD/DVD. You can also choose to automatically create a sample HTML page that can simply be opened to play the demo.

You can access the Flash output dialog box by selecting Demo > Create Flash Demo.

The Generate Demo dialog box lets you specify various parameters for the Flash demo, as follows:

Option | Description
Output Filenames | The path where the Flash demo should be generated, including partial filename, as 2 files can be created for each demo: .swf and .html. You can click the [...] button to select the destination folder.
Theme | Graphical interface of the demo player control section, placed at the bottom of each demo and containing the play, pause, stop, and other buttons. Select None if you do not want player controls in your demo.
Dimensions (Size, Width, Height) | Select the output demo size if you want it to be different from the size originally captured. You may select either a percent ratio of the captured size, or select Custom and then specify the exact demo dimensions in pixels.
Info | The name of the demo author, which later will be accessible by clicking the Info button within the demo.
Fast generation - Max compression | Compression selector where you can specify if you prefer the demo to be created quickly but resulting in larger file size, or use higher compression at the cost of taking little more time to create the demo. The users who view the demo will not see the difference, however a demo with low compression (fast generation) will take longer time to load into user's browser.
Generate HTML | Specify if you want to create the HTML page (.html file) that will play generated Flash demo. Later you can modify this page and upload it directly to your Website for others to view your demo.
Controls Alignment | The position of the area containing player controls, which demo viewers will be able to use to play, pause, stop, rewind, forward the demo.
Sound format | Select the format of the sound to be included in demo, or None if you do not want sound. The two available sound formats are Wave (WAV) and MP3. It is usually recommended to output MP3 format as it provides great compression and results in smaller demo files.


Executable Demonstrations (EXE)

Generating Output Demonstrations > Executable Demonstrations (EXE)

Generating Executable Demonstrations (EXE)

Once you capture a demonstration, you can generate executable demonstrations (.exe files) that can be included on CD/DVD.

An executable demo is an application program that can be run on any Windows computer. It includes the demo and player controls that allow viewers to play, pause, stop, rewind, forward the demo.

You can access the Exe output dialog box by choosing Demo > Create Exe Demo.

The Generate Demo dialog box lets you specify various parameters for the demo, as follows:

Option | Description
Output Filename | The path where the demo should be generated, including the filename. You can click the [...] button to select the destination folder and the filename.
Graphics Compression The type of graphics compression to be used within the demo.
Advanced compression is capable of creating very small file sizes, depending on additional options selected in the right panel.
Standard compression creates at an instant larger demos that simply include the DemoWorks demo file (.dwk) within the executable. The .dwk file is the same file that is saved by DemoWorks when saving your demo project.
Bits per pixel The number of bits of information stored per pixel. More bits indicate more colors that can be represented.
One "color" is reserved for transparency index.
Bits | Maximum Colors
24 | 16777215
8 | 255
7 | 127
6 | 63
5 | 31
4 | 15
3 | 7
2 | 3

The higher the number of bits (colors) the better quality of demos. However, decreasing the number of colors results in more compact, smaller file sizes.

Adaptive Palette This option is enabled only when Bits per pixel is set to 8 or less.
If specified, DemoWorks will optimize the color palette based on the most commonly used colors across all frames, which will results in more accurate representation of the demonstration.
This process takes longer time but results in higher quality of generated AnimatedGIF in color when using 8 bits per pixel or less.
If not specified, DemoWorks will utilize the static palette of evenly distributed colors or shades of gray.
When choosing grayscale output you may want to experiment with using the adaptive palette, as often the standard grayscale palette may produce better results, and faster as well.
Grayscale | Converts all colors into gray tones based on color intensity of each pixel. The resulting benefit is usually a better representation of the demonstration (excluding the colors) achieved with less bits-per-pixel and therefore smaller file size.
Dimensions (Size, Width, Height) | Select the output demo size if you want it to be different from the size originally captured. You may select either a percent ratio of the captured size, or select Custom and then specify the exact demo dimensions in pixels.
Fast generation - Max compression | Select the compression quality by specifying if you prefer the demo to be created quickly but resulting in larger file size (and lower compression), or use higher compression at the cost of taking more time to create the demo. The users who view the demo will not see the difference, however a demo with low compression (fast generation) will be larger in size and may take more space on disk and longer time to be emailed.
Advanced encoding | Utilizes advanced compression algorithm that may provide even higher graphics compression than the above option and further decrease the file size. This option requires much more time to generate demos and is recommended only for demos where objects are moving/scrolling on the screen.
Sound format | Select the format of the sound to be included in demo, or None if you do not want sound. The two available sound formats are Wave (WAV) and Ogg Vorbis. It is usually recommended to output Ogg format as it provides great compression and results in smaller demo files.


Java Applet Demonstrations

Generating Output Demonstrations > Java Applet Demonstrations

Generating Java Applet Demonstrations

You can generate Java demonstrations that can be published to the Web or emailed to others. You can also choose to automatically create a sample HTML page that can simply be opened to play the demo.

A Java applet is a small Internet-based program written in Java, a programming language for the Web. The applet is able to run in HTML and is usually embedded in an HTML page on a Web site and can be executed from within a browser. Most browsers contain a Java Virtual Machine (JVM) and are thus capable of running applets.

Access the Java output dialog box by choosing Demo > Create Java Demo.

The Generate Demo dialog box lets you specify various parameters for a Java demo, as follows:

Option | Description
Output Filenames | The path where the Java demo should be generated, including partial filename, as 3 files can be created for each demo: .jar, .html and .dcd. You can click the [...] button to select the destination folder.
Generate Specify if you want to create the JAR file and the HTML page (.html file) that will play the generated Java demo.
The .html file is a sample Web page that will load the Java applet. You can edit this file to include additional text and graphics, or you can copy the HTML into another Web page where you would like to include your demo.
The .jar file is the the main Java application that will play the demo. This file is same for all demos and can be reused. For example you can create several demos and then modify the HTML to point to one common JAR file. This way the Web browsers will not need to re-download different JAR files when playing several different demos.
Theme | Graphical interface of the demo player control section, placed at the bottom of each demo and containing the play, pause, stop, and other buttons Select None if you do not want player controls in your demo.
Bits per pixel The number of bits of information stored per pixel. More bits indicate more colors that can be represented.
One "color" is reserved for transparency index.
Bits | Maximum Colors
24 | 16 million
8 | 255
7 | 127
6 | 63
5 | 31
4 | 15
3 | 7
2 | 3

The higher the number of bits (colors) the better quality of Java demos. However, decreasing the number of colors results in more compact, smaller file sizes.

Adaptive Palette If specified, DemoWorks will optimize the color palette based on the most commonly used colors across all frames, which will results in more accurate representation of the demonstration.
This process takes longer but results in higher quality of generated demos in color.
If not specified, DemoWorks will utilize the static palette of evenly distributed colors or shades of gray.
When choosing grayscale output you may want to experiment with using the adaptive palette, as often the standard grayscale palette may produce better results, and faster as well.
Grayscale | Converts all colors into gray tones based on color intensity of each pixel. The resulting benefit is usually a better representation of the demonstration (excluding the colors) achieved with less bits-per-pixel and therefore smaller file size.
Dimensions (Size, Width, Height) | Select the output demo size if you want it to be different from the size originally captured. You may select either a percent ratio of the captured size, or select Custom and then specify the exact demo dimensions in pixels.
Fast generation - Max compression | Compression selector where you can specify if you prefer the demo to be created quickly but resulting in larger file size, or use higher compression at the cost of taking little more time to create the demo. The users who view the demo will not see the difference, however a demo with low compression (fast generation) will take longer time to load into user's browser.
Bitmapped effects If specified, DemoWorks will convert the demo effects (balloons and captions) into images that will be placed within the generated Java applets. This will result in exact representation of the effects on users computers. It will also improve demo compatibility, for example if end users do not have all the fonts installed on their computers, which you might have used in your demo.
This option can be turned off if you like to decrease the demo size, however keep in mind that users may see slightly different representation of the demos on their computers. When turning it off, make sure that your demo includes only commonly used fonts, such as Arial, Times Roman and Verdana.
Exe Select this option if you like to wrap the java demo into a single executable file, which for example can be emailed to others. This option is similar to creating Exe demos, however with two major differences:
- the generated Java executables are often smaller than those created with the Generate Exe option as they take advantage of functionality provided by Java Runtime Environment.
- the generated Java executables may not work on all Windows computers as they require the Java Runtime Environment to be installed and enabled on viewer's computer.
Java executables are compact and great for emailing, and it is often beneficial to create such demos in a corporate environment if you confirm that Java Runtime Environment is installed as standard on all computers within your organization.
Sound format | Select the format of the sound to be included in demo, or None if you do not want sound. The two available sound formats are Wave (WAV) and MP3. It is usually recommended to output MP3 format as it provides great compression and results in smaller demo files.

Important technical notes:

  • The Java applet demos created with DemoWorks require Sun Java environment 1.3 or higher to be installed on the computer of users who will view the demo.
  • Java must be turned on on users computers, as described in this FAQ article.
  • Web browsers allocate a small memory space to Java applets, usually 64-92 MB. This amount of memory may be insufficient to play larger demos, therefore it is recommended that you do not create Java demos with more than 250 frames, or resulting file size (.dcd) larger than 500 KB, excluding audio. Fortunately the Java applet output creates very small demo sizes which can be even further decreased by using a higher compression level or selecting fewer colors (bits per pixels).


GeneratingWMV

Generating Output Demonstrations > GeneratingWMV

Generating WMV Demonstrations

Once you capture a demonstration, you can generate a WMV file that will contain your demonstration and can be played by most of the media/movie players, such Microsoft Windows Media Player. The only requirement is that the user who will play the demo has the appropriate video codec (decoder) installed, which is usually the same codec that you used when creating the WMV. When creating WMV demos you will be presented with the list of video and audio codecs (encoders) installed on your computer and you can choose one that you like to use. Keep in mind that many compression methods implemented by various codecs may result in very large file sizes.

You can find more information about codecs on the Web:
http://www.google.com/search?q=define:codec
http://www.google.com/search?q=codec

You can access the WMV output dialog box by choosing Demo > Create WMV Demo.

WMVs will have play, pause, and stop controls, but those are determined by the user's player, such as Windows Media Player.

The Generate Demo dialog box lets you specify the filename, codec and its configuration parameters (when supported by codec), and frames per second.

Option | Description
Output Filename | The path where the WMV demo should be generated, including the filename. You can click the [...] button to select the destination folder and the filename.
Installed Video and Audio codecs | Video and Audio codecs (encoders and/or decoders) installed on your computer. Select one of each type.
Frames per second | The frequency of the frames, in frames-per-second. A higher frequency allows to achieve smoother mouse movement and appearance of the objects/effects used in the demonstration, however it requires a larger number of frames to be produced and therefore a larger file size of the resulting WMV.
Compression Quality | Quality selector supplied by the selected codec. It is used by certain codecs in addition or in place of the configuration options (Configure). DemoWorks doesn't have control over this functionality, therefore you may need to refer to your codec's documentation for more information.
Key Frame Interval | Specifies the rate of full frames that are stored in the output file. This dramatically modifies the size of the output, as the compression is lower if more full frames are stored.


Shortcut Reference

Type | Shortcut | Description
Capture
 | Ctrl+Shift+W | Start Window Capture mode. If in Background Mode - starts capturing the current, active application.
 | Ctrl+Shift+S | Start Screen capture mode.
 | Ctrl+Shift+R | Start Region capture mode.
 | Shift+W | Start Window capture mode.
 | Shift+S | Create new project and start Screen capture mode.
 | Shift+R | Create new project and start Region capture mode.
 | Shift+B | Create new project and start Background capture mode.
 | Ctrl+F10 | End Capture mode (when in capture mode).
 | PrintScrn | Capture individual frame (when in capture mode).
Application
 | Ctrl+N | Create new DemoWorks project
 | Ctrl+O | Open an existing DemoWorks project
 | Ctrl+S | Save DemoWorks project
 | Ctrl+W | Close DemoWorks project
 | Ctrl+P | Print selected frame within the project
 | Ctrl+D | Duplicate selected frame within the project (creates another copy of the same frame)
 | F1 | Open the DemoWorks Help file
 | F2 | Launch DemoWorks Player
 | F4 | Export the currently selected frame as static image
 | F5 | Generate AnimatedGIF
 | SPACE | Show object labels in the frame editing area
Thumbnails panel
 | Enter | Open selected frame(s) in frame editor.
 | V | Toggle frame visibility
 | Del | Delete selected frame(s)
 | Right, Left, Up, Down | Navigate
 | Home | Navigate to the first column (if multiple columns are present in the view)
 | End | Navigate to the last column (if multiple columns are present in the view)
 | Ctrl+Home | Navigate to the first frame
 | Ctrl+End | Navigate to the last frame
 | Page Down/Up | Navigate page down/up
 | Shift + (any of the above keys) | Select multiple frames in addition to the corresponding navigation. For example Shift+Ctrl+End navigates to the last frame while selecting multiple frames.
 | Ctrl+A | Select all frames
 | Ctrl+C | Copy selected frame(s) into clipboard
 | Ctrl+V | Paste frame(s) from clipboard into arbitrary position
 | Ctrl+B | Paste frame(s) from clipboard before current position
 | Shift+Ctrl+V | Paste frame(s) from clipboard after current position
 | Ctrl+X | Cut selected frame(s) and copy into clipboard
 | Ctrl+D | Duplicate selected frame(s)
Timeline panel
 | +/= | Zoom in scale
 | - | Zoom out scale
 | Enter | Open selected frame(s) in frame editor
 | Home | Navigate to start of project
 | End | Navigate to end of project
 | Space | Switch between frame views (regular frames and Masterframe)
 | A | Switch to regular (all) frames view
 | M | Switch to Masterframe view
 | Page Down/Up | Scroll view by page
 | F (on an effect) | Iterate among fade types
 | , (comma) | Iterate among left grip types
 | . (period) | Iterate among right grip types
 | Del | Delete selected frame(s)
 | Ctrl+A | Select all frames
 | Ctrl+C | Copy selected frame(s) into clipboard
 | Ctrl+V | Paste frame(s) from clipboard into arbitrary position
 | Ctrl+B | Paste frame(s) from clipboard before current position
 | Shift+Ctrl+V | Paste frame(s) from clipboard after current position
 | Ctrl+X | Cut selected frame(s) and copy into clipboard
 | Ctrl+D | Duplicate selected frame(s)


FAQ

FAQ > FAQ

FAQ - Frequently Asked Questions

Why is my computer very slow during the capture process?

For best performance DemoWorks needs to turn-off your hardware acceleration when recording desktop activity. Make sure that your Acceleration option/property is set to Application or Session. If this doesn't help, or you use Windows 98 then you can manually turn-off your hardware acceleration in Windows configuration when preparing to create demonstrations with DemoWorks.

What else can I do to improve my computer's performance during capturing?

Try using smaller screen resolution when you use full-motion (Animation) capturing. Additionally, try decreasing the number of display colors from 32-bit to 16-bit.

You can change both these options in Windows > Start > Settings > Control Panel > Display > Settings.

Additionally, you can use event-based (Presentation) capture mode to capture a smaller number of frame images, therefore decreasing the need for computer's processing power and memory usage.

Help! DemoWorks doesn't capture any frames.

If you exit the capture mode by pressing Ctrl+F10 and DemoWorks doesn't show any captured frames then possibly the Autocapture mode is turned off. Turn Autocapture back on, or in the manual capture mode press PrtScrn key when recording the desktop to capture each frame (screenshot).

If these steps do not help, possibly your trial version has expired.

How can I decrease the size of my AnimatedGIF files?

DemoWorks already creates smallest possible file sizes, however the standard GIF format is not highly efficient.

You can consider the following suggestions to achieve smaller file sizes:

  • Specify Size = 100% when generating AnimatedGIF. Scaling down a demo may result not only in larger file sizes, but also in lower quality. If you need to decrease the dimensions of your demo, consider recapturing it at a smaller size.
  • Avoid capturing the whole screen, unless in smaller resolutions like 640x480 and 800x600.
  • When capturing a window, resize down the application to be captured, so that you capture smaller window size.
  • When capturing a region, specify the smallest region area that you need to capture.
  • Use event-based (Presentation) capture mode. This mode captures the optimal number of frame images. It is less sensitive than the full-motion (Animation) capturing, but still practical for many purposes.
  • If you can sacrifice the quality, specify smaller number of Bits per pixel when generating AnimatedGIF.
  • If you can sacrifice the colors, create Greyscale demos. Keep in mind that this option doesn't always create small file sizes, therefore you may want to create both color and grayscale AnimatedGIFs and then compare their sizes.
  • Use small frame Frequency when generating AnimatedGIFs.
  • Use DemoWorks to remove unnecessary frames from your captured demo. The included DemoWorks Player is great tool for reviewing and optimizing your demos, especially those captured in the Animation mode.
  • Generate demos in smaller resolution, using the Dimension options in the demo output dialog.

How can I improve the quality of my AnimatedGIFs?

The GIF format supports a maximum of 255 colors, which indeed may reduce the original quality of a captured application. To improve the overall color quality at a cost of larger file sizes, try turning on the Dithering option when generating AnimatedGIFs. Also make sure that you set Bits per pixel to 8 (maximum), and turn on the Adaptive Palette option.

How can I achieve smoother mouse movement in my AnimatedGIFs?

Increase the Frequency of the frames. A higher frequency allows to achieve smoother mouse movement , as well as the appearance of other objects (effects) used in the demonstration, however it requires a larger number of frames to be produced and therefore a larger file size of the resulting AnimatedGIF.

I am experiencing problems when viewing generated AnimatedGIFs.

Due to limitations of the GIF format and a GIF decoder in Internet Explorer, it is recommended that you do not create very large AnimatedGIF files. One megabyte file is about the maximum that you should create. Try decreasing the size of your AnimatedGIF files as described above, or split your demo into several smaller demos that can be shown as individual steps of a longer presentation.

Additionally, it is best if you do not change the size (width and height) of a AnimatedGIF in HTML that contains a AnimatedGIF image. If you need to change the size of a demo, generate that exact size directly in DemoWorks using the Dimension options in the demo output dialog.

How do I detach windows (panels) in DemoWorks workspace? They seem to snap right back-in.

Hold the Ctrl key on your keyboard while dragging a panel. This will prevent its docking.

How can I improve sound quality when recording audio?

The recorded sound quality usually depends on many factors, including the hardware, and Windows and DemoWorks configuration. The following tips should help you improve the recorded sound quality:

  • Use high quality unidirectional noise canceling microphone with your computer
  • Set the Microphone audio level to high in Windows (Control Panel > Sounds and Audio Devices > Advanced > Options > Properties > Recording > Microphone)
  • Enable Microphone Boost option in Windows if you have such option (Control Panel > Sounds and Audio Devices > Advanced > Options > Properties > Recording > Microphone > Advanced)
  • Test your audio recording quality using Windows Sound Recorder (Start > Program > Accessories > Entertainment > Sound Recorder)
  • Select higher audio frequency in DemoWorks, for example 22050 or even 44100. However keep in mind that better sound quality requires more disk space and creates larger output files. When creating Flash demos use only the frequencies 11025, 22050 or 44100, as other frequencies are not supported by Flash format and would require audio conversion resulting in decreased quality.
  • You may also record and edit your sound externally, for example using Sound Forge or other professional audio editors, then save as WAV file and import into DemoWorks.

Why does my Web browser show a gray box in place of the Java Applet?

Possibly Java has been turned off in your Web browser. To enable Java in Internet Explorer, select: Tools > Internet Options > Security > Custom Level. Then in the Java VM section select the High Safety option.

Java can also be turned on in the Control Panel > Java Plug-in.

Why is my video only 30 seconds long?

Regardless of the length of your demonstration, DemoWorks Community Edition will output only the first 30 seconds of your project. DemoWorks Professional does not have this restriction. See DemoWorks Community Edition Information for the complete list of restrictions. If you would like to upgrade to full DemoWorks Professional functionality, go to www.componentone.com/demoworks.


Definitions

Definition | Description
Capture | The process of recording the desktop activity for later editing and generating a final demonstration.
AnimatedGIF | An animated demonstration created with DemoWorks in GIF format, usually presenting an animated Windows desktop activity.
Demonstration | An animation, presentation, or document that you create and edit in DemoWorks.


Specify variable name in the 1st column | Specify variable content in the 2nd column